> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.icepanel.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.icepanel.io/_mcp/server.

# List

GET https://api.icepanel.io/v1/catalog/technologies

List technologies

Reference: https://developer.icepanel.io/api-reference/catalog/technologies/list

## Authentication

- `X-API-Key` header (required) — API key authentication
- `Authorization` header (bearer token, required) — Bearer token authentication

## Request

### Query parameters

- `filter` (CatalogTechnologyFilter, optional)
- `admin` (boolean, optional) — list all technologies on the platform
- `search` (string, optional)
- `cursor` (string, optional)
- `limit` (double, optional) — The maximum number of items to return, defaults to 1000

## Response

### 200

OK

- `catalogTechnologies` (list of CatalogTechnology, required)
- `nextCursor` (string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 401 Unauthorized Error

Unauthorized

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 403 Forbidden Error

Forbidden

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 404 Not Found Error

Not Found

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 429 Too Many Requests Error

Resource Exhausted

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

### 500 Internal Server Error

Internal Server

- `message` (string, required)
- `code` (string, optional)
- `errors` (list of string, optional)

## Types

### CatalogTechnologyFilter

- `name` (CatalogTechnologyFilterName, optional)
- `provider` (CatalogTechnologyFilterProvider, optional)
- `restrictions` (CatalogTechnologyFilterRestrictions, optional)
- `status` (CatalogTechnologyFilterStatus, optional)
- `type` (CatalogTechnologyFilterType, optional)

### CatalogTechnology

- `color` (enum, required) — Technology color used in diagrams
  - Allowed values: `blue`, `green`, `yellow`, `orange`, `red`, `beaver`, `dark-blue`, `purple`, `pink`, `white`, `grey`, `black`
- `iconUrlDark` (string, required, nullable) — Icon that only works on dark backgrounds
- `iconUrlLight` (string, required, nullable) — Icon that only works on light backgrounds
- `name` (string, required) — Long verbose name
- `provider` (enum, required) — Service provider that provides this technology
  - Allowed values: `aws`, `azure`, `gcp`, `microsoft`, `salesforce`, `atlassian`, `apache`, `supabase`
- `restrictions` (list of enum, required, nullable) — Restriction on which model object or connections this technology can be added to
  - Allowed values: `actor`, `app`, `component`, `connection`, `group`, `store`, `system`
- `type` (enum, required) — Type or category of technology
  - Allowed values: `data-storage`, `deployment`, `framework-library`, `gateway`, `other`, `language`, `message-broker`, `network`, `protocol`, `runtime`, `service-tool`
- `createdAt` (datetime, required)
- `createdBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `createdById` (string, required)
- `disabled` (boolean, required) — Whether the technology is disabled and not visible to users, defaults to false
- `id` (string, required)
- `organizationId` (string, required, nullable) — Organization that owns this technology, or null if its publicly accessible
- `updatedAt` (datetime, required)
- `updatedBy` (enum, required)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `updatedById` (string, required)
- `iconUrl` (string, required, nullable, deprecated) — Use either iconUrlDark or iconUrlLight
- `category` (string, optional)
- `deprecatedAt` (datetime, optional)
- `description` (string, optional) — Technical description for the technology, avoid marketing language
- `docsUrl` (string, optional) — Documentation or readme url
- `nameShort` (string, optional) — Short one or two word name to show in places with limited space
- `rejectionMessage` (string, optional) — If rejected, detail description of why
- `rejectionReason` (enum, optional) — If rejected, the reason why
  - Allowed values: `duplicate`, `incomplete`, `invalid`, `other`
- `status` (enum, optional) — Current status of the technology, including pending review, approved, and rejected. Approved technologies are visible to all users. Set to null to make the technology private.
  - Allowed values: `approved`, `pending-review`, `rejected`
- `updatesUrl` (string, optional) — Release notes or changelog url
- `websiteUrl` (string, optional) — Landing page website url
- `awsXmlSelector` (string, optional)
- `azureUpdatesKeyword` (string, optional)
- `defaultSlug` (string, optional) — URL path name for the technology, used by stackfeed
- `deletedAt` (datetime, optional)
- `deletedBy` (enum, optional)
  - Allowed values: `user`, `api-key`, `notification-key`, `service`
- `deletedById` (string, optional)
- `slugs` (list of string, optional) — Current and historical url path names used for the technology, used by stackfeed
- `updatesXmlUrl` (string, optional)

### CatalogTechnologyFilterName

### CatalogTechnologyFilterProvider

### CatalogTechnologyFilterRestrictions

### CatalogTechnologyFilterStatus

### CatalogTechnologyFilterType

## Examples

**Response**

```json
{
  "catalogTechnologies": [
    {
      "color": "blue",
      "iconUrlDark": [
        "/organizations/{organizationId}/dark/{catalogTechnologyId}.png",
        "/dark/{catalogTechnologyId}.png"
      ],
      "iconUrlLight": [
        "/organizations/{organizationId}/light/{catalogTechnologyId}.png",
        "/light/{catalogTechnologyId}.png"
      ],
      "name": "string",
      "provider": "aws",
      "restrictions": [
        "actor"
      ],
      "type": "data-storage",
      "createdAt": "2024-01-15T09:30:00Z",
      "createdBy": "user",
      "createdById": "string",
      "disabled": true,
      "id": "string",
      "organizationId": "string",
      "updatedAt": "2024-01-15T09:30:00Z",
      "updatedBy": "user",
      "updatedById": "string",
      "iconUrl": "string",
      "category": "string",
      "deprecatedAt": "2024-01-15T09:30:00Z",
      "description": "string",
      "docsUrl": "string",
      "nameShort": "string",
      "rejectionMessage": "string",
      "rejectionReason": "duplicate",
      "status": "approved",
      "updatesUrl": "string",
      "websiteUrl": "string",
      "awsXmlSelector": "string",
      "azureUpdatesKeyword": "string",
      "defaultSlug": "string",
      "deletedAt": "2024-01-15T09:30:00Z",
      "deletedBy": "user",
      "deletedById": "string",
      "slugs": [
        "string"
      ],
      "updatesXmlUrl": "string"
    }
  ],
  "nextCursor": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.icepanel.io/v1/catalog/technologies"

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.icepanel.io/v1/catalog/technologies"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```csharp
using RestSharp;

var client = new RestClient("https://api.icepanel.io/v1/catalog/technologies");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```